
E_MODEL_CREEPY_TILTING = smlua_model_util_get_id("creepy_tilting_geo")
COL_CREEPY_TILTING = smlua_collision_util_get("creepy_tilting_collision")

function bhv_creepy_tilting_init(obj)
    obj.oFlags = OBJ_FLAG_UPDATE_GFX_POS_AND_ANGLE
    obj.oOpacity = 255
    bhv_seesaw_platform_init()

    obj_set_model_extended(obj, E_MODEL_CREEPY_TILTING)

    obj.oCollisionDistance = 1000
    obj.collisionData = COL_CREEPY_TILTING

end

function bhv_creepy_tilting_loop(obj)
    bhv_seesaw_platform_update()
    load_object_collision_model()
end

id_bhvCreepyTilting = hook_behavior(nil, OBJ_LIST_SURFACE, true, bhv_creepy_tilting_init, bhv_creepy_tilting_loop, 'id_bhvCreepyTilting')
