
local sToadHints = {

[0] = "Hey there!\
I'll give you a hint for\
the next star to collect.\
\
Rumor has it that there\
is a star hidden within\
the cliff side.\
\
Come back after you've\
collected it for the next\
hint.",

[1] = "Hey there!\
I'll give you a hint for\
the next star to collect.\
\
There are red coins\
scattered around\
outside. Be sure to\
check in nooks and\
crannies.\
\
Come back after you've\
collected it for the next\
hint.",

[2] = "Hey there!\
I'll give you a hint for\
the next star to collect.\
\
I've heard that there is\
treasure buried inside\
the grave yard.\
The graves with broken\
tombstones can take a\
pounding...\
\
Come back after you've\
collected it for the next\
hint.",

[3] = "Hey there!\
I'll give you a hint for\
the next star to collect.\
\
The vanish cap shop\
has something you need.\
Please excuse its\
leaky roof.\
\
Come back after you've\
collected it for the next\
hint.",

[4] = "Hey there!\
I'll give you a hint for\
the next star to collect.\
\
The catacomb statues\
are hiding something.\
\
Come back after you've\
collected it for the next\
hint.",

[5] = "Hey there!\
I'll give you a hint for\
the next star to collect.\
\
The old house on the\
hill can only be\
conquered with a friend.\
Don't go at it alone!\
\
Come back after you've\
collected it for the next\
hint.",

[6] = "Hey there!\
I'll give you a hint for\
the next star to collect.\
\
All that is left to do\
is to collect as many\
coins as you can.\
\
Good luck!",

[7] = "Hey there!\
You've collected all\
of the stars here.\
\
Good job!",

}

function on_interact(interactor, interactee, interactType, interactValue)
    if interactee == nil then return end
    if obj_has_behavior_id(interactee, id_bhvToadMessageOverride) then
        local starFlags = save_file_get_star_flags(get_current_save_file_num()-1, COURSE_BBH-1)
        local hint = sToadHints[7]
        for i = 0, 6 do
            if (starFlags & (1 << i)) == 0 then
                hint = sToadHints[i]
                break
            end
        end
        smlua_text_utils_dialog_replace(DIALOG_133, 1, 4, 30, 200, hint)
    end
end

hook_event(HOOK_ON_INTERACT, on_interact)