
-- Replacement for SET_OBJ_PHYSICS()
function object_set_physics(obj, hitboxRadius, gravity, bounciness, dragStrength, friction, buoyancy)
    obj.oWallHitboxRadius = hitboxRadius;
    obj.oGravity = gravity / 100;
    obj.oBounciness = bounciness / 100;
    obj.oDragStrength = dragStrength / 100;
    obj.oFriction = friction / 100;
    obj.oBuoyancy = buoyancy / 100;
end

-- Replacement for DROP_TO_FLOOR()
function object_drop_to_floor(obj)
    local x = obj.oPosX;
    local y = obj.oPosY;
    local z = obj.oPosZ;

    local floorHeight = find_floor_height(x, y + 200, z);
    obj.oPosY = floorHeight;
    obj.oMoveFlags = (obj.oMoveFlags | OBJ_MOVE_ON_GROUND);
end
