
E_MODEL_CREEPY_BREAKABLE = smlua_model_util_get_id("creepy_breakable_geo")
COL_CREEPY_BREAKABLE = smlua_collision_util_get("creepy_breakable_collision")

function bhv_creepy_breakable_init(obj)
    obj.oFlags = OBJ_FLAG_UPDATE_GFX_POS_AND_ANGLE
    obj.oOpacity = 255
    bhv_breakable_box_loop()

    obj_set_model_extended(obj, E_MODEL_CREEPY_BREAKABLE)

    obj.oCollisionDistance = 1000
    obj.collisionData = COL_CREEPY_BREAKABLE
end

function bhv_creepy_breakable_loop(obj)
    bhv_breakable_box_loop()
    load_object_collision_model()
end

id_bhvCreepyBreakable = hook_behavior(nil, OBJ_LIST_SURFACE, true, bhv_creepy_breakable_init, bhv_creepy_breakable_loop, 'id_bhvCreepyBreakable')
