
E_MODEL_FLAME64 = smlua_model_util_get_id("flame64_geo")

function bhv_torch_flame_init(obj)
    obj.oFlags = OBJ_FLAG_UPDATE_GFX_POS_AND_ANGLE
    obj.header.gfx.node.flags = obj.header.gfx.node.flags | GRAPH_RENDER_CYLBOARD
    cur_obj_set_home_once()
    cur_obj_scale(1.5)
    obj.oInteractType = INTERACT_FLAME
    obj.hitboxRadius = 25
    obj.hitboxHeight = 25
    obj.hitboxDownOffset = 0
    obj.oIntangibleTimer = 0
    obj.oPosY = obj.oPosY + 30

    obj.oOpacity = 255
    obj_set_model_extended(obj, E_MODEL_FLAME64)
end

function bhv_torch_flame_loop(obj)
    obj.oInteractStatus = 0
    obj.oAnimState = obj.oAnimState + 1
end

id_bhvTorchFlame = hook_behavior(nil, OBJ_LIST_LEVEL, true, bhv_torch_flame_init, bhv_torch_flame_loop, 'id_bhvTorchFlame')
